Package net.sf.robocode.io

# Class Logger

java.lang.Object
net.sf.robocode.io.Logger

public class Logger extends Object
This is a class used for logging.

Author:
  Flemming N. Larsen (original), Mathew A. Nelson (original)

## Field Summary

Fields
Modifier and Type
Field
Description
`static final PrintStream`
`realErr`
`static final PrintStream`
`realOut`

## Constructor Summary

Constructors
Constructor
Description
`Logger()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`logError(String s)`
`static void`
`logError(String message, Throwable t)`
`static void`
`logError(Throwable t)`
`static void`
`logMessage(String s)`
`static void`
`logMessage(String s, boolean newline)`
`static void`
`logWarning(String s)`
`static void`
`printlnToRobotsConsole(String s)`
`static void`
`setLogListener(IBattleListener logListener)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### realOut

public static final PrintStream realOut

### realErr

public static final PrintStream realErr

## Constructor Details

### Logger

public Logger()

## Method Details

### setLogListener

public static void setLogListener(IBattleListener logListener)

### logMessage

public static void logMessage(String s)

### logMessage

public static void logMessage(String s, boolean newline)

### logWarning

public static void logWarning(String s)

### logError

public static void logError(String message, Throwable t)

### logError

public static void logError(Throwable t)

### logError

public static void logError(String s)

### printlnToRobotsConsole

public static void printlnToRobotsConsole(String s)